org.codehaus.plexus.components.interactivity

## Class DefaultPrompter

- java.lang.Object
- - org.codehaus.plexus.components.interactivity.DefaultPrompter

All Implemented Interfaces:
  Prompter

    public class DefaultPrompter
    extends java.lang.Object
    implements Prompter

Default prompter.

Version:
  $Id: DefaultPrompter.java 2649 2005-10-10 16:51:51Z brett $
Author:
  Brett Porter

### Field Summary

### Fields inherited from interface org.codehaus.plexus.components.interactivity.Prompter

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultPrompter()`

### Method Summary

Methods
`java.lang.String` `prompt(java.lang.String message)`
`java.lang.String` `prompt(java.lang.String message, java.util.List possibleValues)`
`java.lang.String` `prompt(java.lang.String message, java.util.List possibleValues, java.lang.String defaultReply)`
`java.lang.String` `prompt(java.lang.String message, java.lang.String defaultReply)`
`java.lang.String` `promptForPassword(java.lang.String message)`
`void` `showMessage(java.lang.String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultPrompter

    public DefaultPrompter()

### Method Detail

#### prompt

    public java.lang.String prompt(java.lang.String message)
                            throws PrompterException

Specified by:
  `prompt` in interface `Prompter`
Throws:
  `PrompterException`

#### prompt

    public java.lang.String prompt(java.lang.String message,
                          java.lang.String defaultReply)
                            throws PrompterException

Specified by:
  `prompt` in interface `Prompter`
Throws:
  `PrompterException`

#### prompt

    public java.lang.String prompt(java.lang.String message,
                          java.util.List possibleValues,
                          java.lang.String defaultReply)
                            throws PrompterException

Specified by:
  `prompt` in interface `Prompter`
Throws:
  `PrompterException`

#### prompt

    public java.lang.String prompt(java.lang.String message,
                          java.util.List possibleValues)
                            throws PrompterException

Specified by:
  `prompt` in interface `Prompter`
Throws:
  `PrompterException`

#### promptForPassword

    public java.lang.String promptForPassword(java.lang.String message)
                                       throws PrompterException

Specified by:
  `promptForPassword` in interface `Prompter`
Throws:
  `PrompterException`

#### showMessage

    public void showMessage(java.lang.String message)
                     throws PrompterException

Specified by:
  `showMessage` in interface `Prompter`
Throws:
  `PrompterException`